MONGOC_COLLECTION_KEYS_TO_INDEX_STRING(3)

NAME
mongoc_collection_keys_to_index_string() - This function shall returns the canonical stringification, as used in mongoc_collection_create_index() without an explicit name, of a given key specification.

SYNOPSIS

char *
mongoc_collection_keys_to_index_string (const bson_t *keys);

PARAMETERS

keys
    A bson_t \&.

DESCRIPTION

This function shall returns the canonical stringification, as used in mongoc_collection_create_index(3) without an explicit name, of a given key specification.

It is a programming error to call this function on a non-standard index, such one other than a straight index with ascending and descending.

RETURNS

A string that should be freed with bson_free(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.